# 
# /*
#  * *********** WARNING **************
#  * This file generated by ModPerl::WrapXS/0.01
#  * Any changes made here will be lost
#  * ***********************************
#  * 01: lib/ModPerl/Code.pm:701
#  * 02: lib/ModPerl/WrapXS.pm:584
#  * 03: lib/ModPerl/WrapXS.pm:1100
#  * 04: Makefile.PL:335
#  * 05: Makefile.PL:283
#  * 06: Makefile.PL:51
#  */
# 


package Apache::Command;

use strict;
use warnings FATAL => 'all';



use Apache::XSLoader ();
our $VERSION = '0.01';
Apache::XSLoader::load __PACKAGE__;



1;
__END__

=head1 NAME

Apache::Command - Perl API for accessing Apache module command information




=head1 Synopsis

  use Apache::Module ();
  use Apache::Command ();
  my $module = Apache::Module::find_linked_module('mod_perl.c');
  my $cmd = $module->cmds();
  
  while ($cmd) {
    $cmd->args_how();
    $cmd->errmsg();
    $cmd->req_override();
    $cmd = $cmd->next();
  }






=head1 Description

Each Apache module can define a list of configuration commands it
offers.  This interface gives access to information about these
configuration commands.  Each module contains a chained-list of
C<Apache::Command> objects, each representing a single directive.

For example, C<PerlRequire> is a command offered by mod_perl.






=head1 API

C<Apache::Command> provides the following functions and/or methods:






=head2 C<args_how>

What the command expects as arguments

  $obj->args_how();

=over 4

=item obj: C<$obj>
( C<L<Apache::Command object|docs::2.0::api::Apache::Command>> )

=item ret: ( integer )

The flag value representing the type of command (i.e. ITERATE/TAKE2)

=item since: 1.99_12

=back





=head2 C<errmsg>

'usage' message for that command, in case of syntax errors

  $obj->errmsg();

=over 4

=item obj: C<$obj>
( C<L<Apache::Command object|docs::2.0::api::Apache::Command>> )

=item ret: ( string )

The error message

=item since: 1.99_12

=back







=head2 C<name>

Name of this command

  $name      = $obj->name();

=over 4

=item obj: C<$obj>
( C<L<Apache::Command object|docs::2.0::api::Apache::Command>> )

=item ret: ( string )

The command name

=item since: 1.99_12

=back





=head2 C<next>

The next command in the chain of commands for this module

  $ret = $cmd->next();

=over 4

=item obj: C<$cmd>
( C<L<Apache::Command object|docs::2.0::api::Apache::Command>> )

=item ret: C<$ret>
( C<L<Apache::Command object|docs::2.0::api::Apache::Command>> )

=item since: 1.99_12

=back








=head2 C<req_override>

What overrides need to be allowed to enable this command.

  $obj->req_override

=over 4

=item obj: C<$obj>
( C<L<Apache::Command object|docs::2.0::api::Apache::Command>> )

=item ret: ( integer )

The bit mask representing the overrides this command is allowed in (i.e OR_ALL/ACCESS_CONF)

=item since: 1.99_12

=back







=head1 See Also

L<mod_perl 2.0 documentation|docs::2.0::index>.




=head1 Copyright

mod_perl 2.0 and its core modules are copyrighted under
The Apache Software License, Version 2.0.




=head1 Authors

L<The mod_perl development team and numerous
contributors|about::contributors::people>.

=cut

